#ifndef __GL_GLINTERNAL_H
#define __GL_GLINTERNAL_H

/* Implementation details; not to be used externally */
#include <GL/gl.h>
#include <dc/ta.h>
#include <dcutils/3dutils.h>

/* "Clear color" -- really the background plane color */
extern GLfloat gl_clear_color[4];

/* Capability mask (for glEnable() and glDisable()) */
extern GLbitfield gl_capabilities;

/* Current primitive type (GL_TRIANGLES, etc) */
extern GLenum gl_prim_type;

/* Poly header buffers */
extern poly_hdr_t gl_pbuf_col_opaque, gl_pbuf_col_trans;
extern poly_hdr_t *gl_pbuf;
extern GLboolean gl_pbuf_submitted;

/* Viewport size */
extern GLint gl_viewport_x1, gl_viewport_y1,
	gl_viewport_width, gl_viewport_height;

/* Transformation matrices; possibilities are:
   GL_MODELVIEW
   GL_PROJECTION
   GL_TEXTURE
*/
extern matrix_t gl_trans_mats[GL_MATRIX_COUNT];
extern int gl_matrix_mode;
extern GLboolean gl_matrix_dirty;

/* Some happy macros */
#define TXR_ENABLED (gl_capabilities & GL_TEXTURE_2D)
#define AUTOUV_ENABLED (gl_capabilities & GL_KOS_AUTO_UV)

#endif	/* __GL_GLINTERNAL_H */

